package zemplen.ui;

import org.eclipse.swt.widgets.Composite;

import zemplen.model.FizetesiMod;

import hibergui.Form;
import hibergui.hibernate.HibernateM2OEdit_Combo;

public class FizetesiModCombo extends HibernateM2OEdit_Combo<FizetesiMod> {

    public FizetesiModCombo(Form form, Composite cptParent, int style) {
        super(form, cptParent, style, "fizetesiMod", "fizetési mód", "elnevezes");

		btnAssoc.setText("Fizetési módok");
        refresh();
    }

    @Override
    protected Form<FizetesiMod> createForm(Composite cptParent, int style) {
        return new FizetesiModForm(cptParent, style);
    }
}
